NonBlockingCoordinator.CoordinationMessage (Apache Tomcat 9.0.106 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.group.interceptors, class: NonBlockingCoordinator, class: CoordinationMessage

# Class NonBlockingCoordinator.CoordinationMessage

java.lang.Object
org.apache.catalina.tribes.group.interceptors.NonBlockingCoordinator.CoordinationMessage

Enclosing class:
  `NonBlockingCoordinator`

public static class NonBlockingCoordinator.CoordinationMessage extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final XByteBuffer`
  `buf`
  `protected UniqueId`
  `id`
  `protected Member`
  `leader`
  `protected Member`
  `source`
  `protected byte[]`
  `type`
  `protected Member[]`
  `view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CoordinationMessage(XByteBuffer buf)`
  `CoordinationMessage(Member leader, Member source, Member[] view, UniqueId id, byte[] type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XByteBuffer`
  `getBuffer()`
  `byte[]`
  `getHeader()`
  `UniqueId`
  `getId()`
  `Member`
  `getLeader()`
  `Member[]`
  `getMembers()`
  `Member`
  `getSource()`
  `byte[]`
  `getType()`
  `void`
  `parse()`
  `void`
  `write()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### buf

    protected final XByteBuffer buf

  - ### leader

    protected Member leader

  - ### source

    protected Member source

  - ### view

    protected Member[] view

  - ### id

    protected UniqueId id

  - ### type

    protected byte[] type

- ## Constructor Details

  - ### CoordinationMessage

    public CoordinationMessage(XByteBuffer buf)

  - ### CoordinationMessage

    public CoordinationMessage(Member leader, Member source, Member[] view, UniqueId id, byte[] type)

- ## Method Details

  - ### getHeader

    public byte[] getHeader()

  - ### getLeader

    public Member getLeader()

  - ### getSource

    public Member getSource()

  - ### getId

    public UniqueId getId()

  - ### getMembers

    public Member[] getMembers()

  - ### getType

    public byte[] getType()

  - ### getBuffer

    public XByteBuffer getBuffer()

  - ### parse

    public void parse()

  - ### write

    public void write()